Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.core
Class Docu

    java.lang.Object
      edu.udo.cs.miningmart.m4.core.M4Object
          edu.udo.cs.miningmart.m4.core.M4Data
              edu.udo.cs.miningmart.m4.core.Docu

All Implemented Interfaces:
  Docu, M4Data, M4Object, M4Table, XmlInfo, java.io.Serializable, java.lang.Comparable

    public class Docu

extends M4Data
implements XmlInfo, Docu

Instances of this class represent an entry in the table DOCU_T.

Version:
  $Id: Docu.java,v 1.5 2006/09/27 15:00:00 euler Exp $
Author:
  Timm Euler
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTRIB_DOC_ID` DB level: The attribute storing the local docu IDs.
`static java.lang.String` | `ATTRIB_OBJECT_ID` DB level: The attribute storing the doc-entry's object IDs.
`static java.lang.String` | `ATTRIB_OBJECT_TYPE` DB level: The attribute storing the object types.
`static java.lang.String` | `ATTRIB_TEXT` DB level: The attribute storing the documentation
`static java.lang.String` | `M4_TABLE_NAME` The M4 table name storing documentation information.
`static M4Info` | `m4Info` Cache for getM4Info()

Fields inherited from class edu.udo.cs.miningmart.m4.core.M4Data
`myDocumentation`

Fields inherited from class edu.udo.cs.miningmart.m4.core.M4Object
`myId, myName`

Fields inherited from interface edu.udo.cs.miningmart.m4.utils.XmlInfo
`M4_XML_VERSION, TAG_COLLECTION, TAG_DOUBLE, TAG_INTEGER, TAG_LONG, TAG_M4_ID, TAG_SHORT, TAG_STRING, TAG_XML_ID`

Fields inherited from interface edu.udo.cs.miningmart.m4.utils.M4Table
`NOT_NULL`

Constructor Summary
`Docu(DB m4Db)` Constructor for Docu.

Method Summary
`java.util.Collection` | `getDependentObjects()` This method is part of the XML-serialization and needs to be implemented by all `M4Data` sub-classes that need to be serialized.
`java.lang.String` | `getIdAttributeName()`
`M4Info` | `getM4Info()`
`M4Object` | `getM4Object()` Returns the M4Object that this documentation entry belongs to.
`java.lang.String` | `getM4TableName()`
`long` | `getObjectId()` Returns the id of the M4 object associated with this documentation object.
`protected java.util.Collection` | `getObjectsInNamespace(java.lang.Class typeOfObjects)` This method returns the objects of the specified type that form a namespace in the scope of this M4Data object.
`java.lang.String` | `getObjectType()` Returns the type of the M4 object associated with this documentation object.
`java.lang.String` | `getText()` Returns the actual documentation entry (the description String).
`M4Info` | `getXmlInfo()`
`void` | `primitiveSetM4Object(M4Data newM4Object)` Primitive setter.
`void` | `print()` Print this M4 object's parameters.
`protected void` | `removeAllM4References()` This method needs to be implemented by all `M4Data` objects.
`void` | `setM4Object(M4Data newM4Object)` Set the connection to the M4 object that this documentation object is associated with.
`void` | `setObjectId(long id)` Sets the id of the M4 object associated with this documentation object.
`void` | `setObjectType(java.lang.String type)` Sets the the type of the M4 object associated with this documentation object.
`void` | `setText(java.lang.String newText)` Sets the text (the description String for the M4 Object that this Documentation object belongs to).

Methods inherited from class edu.udo.cs.miningmart.m4.core.M4Data
`deleteLocal, deleteSoon, exportLocal, genericGetter, genericSetter, getDocumentation, getObjectsReferencingMe, getObjectsReferencingMe, getObjectTag, getUniqueName, getValidName, getValidName, getXmlIdTag, getXmlVersion, hasDeleteStatus, importLocal, isDirty, isWaitingForDelete, primitiveGetDocObject, primitiveSetDocObject, readFromDb, readFromDbLocal, removeDocObject, removeFromDb, removeSetFromDb, setDirty, setDocumentation, setId, setName, storeLocal, updateObjectsFromTable`

Methods inherited from class edu.udo.cs.miningmart.m4.core.M4Object
`compareTo, doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, putM4ObjectToCache, replaceSpacesInName, setNotNew`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.udo.cs.miningmart.m4.utils.XmlInfo
`doPrint, doPrint, exportLocal, genericGetter, genericSetter, getObjectTag, getXmlIdTag, getXmlVersion, importLocal`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, putM4ObjectToCache, replaceSpacesInName, setId, setName, setNotNew`

Field Detail

### M4_TABLE_NAME

    public static final java.lang.String M4_TABLE_NAME

  The M4 table name storing documentation information.

  See Also:
    Constant Field Values

### ATTRIB_DOC_ID

    public static final java.lang.String ATTRIB_DOC_ID

  DB level: The attribute storing the local docu IDs.

  See Also:
    Constant Field Values

### ATTRIB_OBJECT_ID

    public static final java.lang.String ATTRIB_OBJECT_ID

  DB level: The attribute storing the doc-entry's object IDs.

  See Also:
    Constant Field Values

### ATTRIB_OBJECT_TYPE

    public static final java.lang.String ATTRIB_OBJECT_TYPE

  DB level: The attribute storing the object types.

  See Also:
    Constant Field Values

### ATTRIB_TEXT

    public static final java.lang.String ATTRIB_TEXT

  DB level: The attribute storing the documentation

  See Also:
    Constant Field Values

### m4Info

    public static M4Info m4Info

  Cache for getM4Info()

Constructor Detail

### Docu

    public Docu(DB m4Db)

  Constructor for Docu.

  Parameters:
    `m4Db` -

Method Detail

### getM4TableName

    public java.lang.String getM4TableName()

  Specified by:
    `getM4TableName` in interface `M4Table`
  See Also:
    `M4Table.getM4TableName()`

### getIdAttributeName

    public java.lang.String getIdAttributeName()

  Specified by:
    `getIdAttributeName` in interface `M4Table`
  See Also:
    `M4Table.getIdAttributeName()`

### getM4Info

    public M4Info getM4Info()

  Specified by:
    `getM4Info` in interface `M4Table`
  See Also:
    `M4Table.getM4Info()`

### getXmlInfo

    public M4Info getXmlInfo()

  Specified by:
    `getXmlInfo` in interface `XmlInfo`
  Returns:
    a `M4Info` object with the information of all XML fields of `this` object.
  See Also:
    `XmlInfo.getXmlInfo()`

### print

    public void print()

  Description copied from class: `M4Object`
  Print this M4 object's parameters. Must be implemented by all subclasses.

  Specified by:
    `print` in interface `M4Object`
  Specified by:
    `print` in class `M4Object`
  See Also:
    `M4Object.print()`

### getObjectsInNamespace

    protected java.util.Collection getObjectsInNamespace(java.lang.Class typeOfObjects)
                                                  throws M4Exception

  Description copied from class: `M4Data`
  This method returns the objects of the specified type that form a namespace in the scope of this M4Data object. For example, a Concept's namespace for the type BaseAttribute is the Collection of all BaseAttributes for this Concept. Many M4Data objects never have a namespace, they return `null`. If a namespace could exist but doesn't, an empty Collection is returned.

  Specified by:
    `getObjectsInNamespace` in class `M4Data`
  Parameters:
    `typeOfObjects` - the type of objects that form the namespace
  Returns:
    a Collection of objects of type `typeOfObjects`, or `null`.
  Throws:
    `M4Exception`
  See Also:
    `M4Data.getObjectsInNamespace(Class)`

### getM4Object

    public M4Object getM4Object()

  Returns the M4Object that this documentation entry belongs to.

  Specified by:
    `getM4Object` in interface `Docu`
  Returns:
    M4Object

### getText

    public java.lang.String getText()

  Returns the actual documentation entry (the description String).

  Specified by:
    `getText` in interface `Docu`
  Returns:
    String

### primitiveSetM4Object

    public void primitiveSetM4Object(M4Data newM4Object)
                              throws M4Exception

  Primitive setter. Do not use!

  Parameters:
    `newM4Object` - The new M4Object to set
  Throws:
    `M4Exception`

### setM4Object

    public void setM4Object(M4Data newM4Object)
                     throws M4Exception

  Set the connection to the M4 object that this documentation object is associated with.

  Specified by:
    `setM4Object` in interface `Docu`
  Throws:
    `M4Exception`

### setText

    public void setText(java.lang.String newText)

  Sets the text (the description String for the M4 Object that this Documentation object belongs to).

  Specified by:
    `setText` in interface `Docu`
  Parameters:
    `newText` - The new text to set

### getObjectId

    public long getObjectId()

  Returns the id of the M4 object associated with this documentation object.

  Specified by:
    `getObjectId` in interface `Docu`
  Returns:
    long

### getObjectType

    public java.lang.String getObjectType()

  Returns the type of the M4 object associated with this documentation object.

  Specified by:
    `getObjectType` in interface `Docu`
  Returns:
    String

### setObjectId

    public void setObjectId(long id)
                     throws M4Exception

  Sets the id of the M4 object associated with this documentation object.

  Specified by:
    `setObjectId` in interface `Docu`
  Parameters:
    `id` - The id to set
  Throws:
    `M4Exception`

### removeAllM4References

    protected void removeAllM4References()
                                  throws M4Exception

  Description copied from class: `M4Data`
  This method needs to be implemented by all `M4Data` objects. It has to remove all references to other `M4Object`s.

  Specified by:
    `removeAllM4References` in class `M4Data`
  Throws:
    `M4Exception`
  See Also:
    `M4Data.removeAllM4References()`

### getDependentObjects

    public java.util.Collection getDependentObjects()

  Description copied from class: `M4Data`
  This method is part of the XML-serialization and needs to be implemented by all `M4Data` sub-classes that need to be serialized.

  Specified by:
    `getDependentObjects` in interface `XmlInfo`
  Overrides:
    `getDependentObjects` in class `M4Data`
  Returns:
    a `Collection` of all `M4Data` Java objects holding a foreign key reference to `this` object. This method must never return `null`.
  See Also:
    `M4Data.getDependentObjects()`

### setObjectType

    public void setObjectType(java.lang.String type)
                       throws M4Exception

  Sets the the type of the M4 object associated with this documentation object.

  Specified by:
    `setObjectType` in interface `Docu`
  Parameters:
    `type` - The class of the M4 object.
  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005